###################################################
### chunk number 1: Init
###################################################
#line 34 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
options(width=75)
set.seed(0)
library(apcluster)
apclusterVersion <- packageDescription("apcluster")$Version
apclusterDateRaw <- packageDescription("apcluster")$Date
apclusterDateYear <- as.numeric(substr(apclusterDateRaw, 1, 4))
apclusterDateMonth <- as.numeric(substr(apclusterDateRaw, 6, 7))
apclusterDateDay <- as.numeric(substr(apclusterDateRaw, 9, 10))
apclusterDate <- paste(month.name[apclusterDateMonth], " ",
                     apclusterDateDay, ", ",
                     apclusterDateYear, sep="")


###################################################
### chunk number 2: InstallAPCluster eval=FALSE
###################################################
## #line 128 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## install.packages("apcluster")


###################################################
### chunk number 3: LoadAPCluster eval=FALSE
###################################################
## #line 179 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## library(apcluster)


###################################################
### chunk number 4: OpenVignette eval=FALSE
###################################################
## #line 189 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## vignette("apcluster")


###################################################
### chunk number 5: ShowHelp eval=FALSE
###################################################
## #line 194 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## help(apcluster)


###################################################
### chunk number 6: CreateDataSet1
###################################################
#line 212 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
cl1 <- cbind(rnorm(30, 0.3, 0.05), rnorm(30, 0.7, 0.04))
cl2 <- cbind(rnorm(30, 0.7, 0.04), rnorm(30, 0.4, .05))
x1 <- rbind(cl1, cl2)
plot(x1, xlab="", ylab="", pch=19, cex=0.8)


###################################################
### chunk number 7: NegDistMatDataSet1
###################################################
#line 223 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
s1 <- negDistMat(x1, r=2)


###################################################
### chunk number 8: APClusterDataSet1
###################################################
#line 227 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres1a <- apcluster(s1)


###################################################
### chunk number 9: ShowHelpAPResult eval=FALSE
###################################################
## #line 233 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## help(APResult)


###################################################
### chunk number 10: ShowResultAPClusterDataSet1
###################################################
#line 239 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres1a


###################################################
### chunk number 11: PlotResultAPClusterDataSet1
###################################################
#line 245 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(apres1a, x1)


###################################################
### chunk number 12: HeatmapResultAPClusterDataSet1
###################################################
#line 256 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(apres1a, s1)


###################################################
### chunk number 13: APClusterDataSet1Details
###################################################
#line 266 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres1b <- apcluster(s1, details=TRUE)


###################################################
### chunk number 14: PlotAPClusterDataSet1Details
###################################################
#line 273 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(apres1b)


###################################################
### chunk number 15: APClusterDataSet1convits15
###################################################
#line 292 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres1c <- apcluster(s1, convits=15, details=TRUE)
apres1c


###################################################
### chunk number 16: CreateDataSet2
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
cl3 <- cbind(rnorm(20, 0.50, 0.03), rnorm(20, 0.72, 0.03))
cl4 <- cbind(rnorm(25, 0.50, 0.03), rnorm(25, 0.42, 0.04))
x2 <- rbind(x1, cl3, cl4)
s2 <- negDistMat(x2, r=2)
plot(x2, xlab="", ylab="", pch=19, cex=0.8)


###################################################
### chunk number 17: APClusterDataSet2
###################################################
#line 333 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres2a <- apcluster(s2)
plot(apres2a, x2)


###################################################
### chunk number 18: APClusterDataSet2q0
###################################################
#line 340 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres2b <- apcluster(s2, q=0)
plot(apres2b, x2)


###################################################
### chunk number 19: PlotAPClusterDataSet2q08
###################################################
#line 350 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres2c <- apcluster(s2, q=0.8)
plot(apres2c, x2)


###################################################
### chunk number 20: APClusterDataSet2q08showp
###################################################
#line 361 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres2c@p


###################################################
### chunk number 21: HeatmapResultAPClusterDataSet2q08
###################################################
#line 369 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(apres2c, s2)


###################################################
### chunk number 22: PreferenceRangeDataSet2
###################################################
#line 395 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
preferenceRange(s2)


###################################################
### chunk number 23: APClusterKDataSet2
###################################################
#line 415 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres2d <- apclusterK(s2, K=2, verbose=TRUE)
plot(apres2d, x2)


###################################################
### chunk number 24: AggExClusterDataSet1
###################################################
#line 432 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
aggres1a <- aggExCluster(s1)
aggres1a


###################################################
### chunk number 25: DendrogramAggExClusterDataSet1
###################################################
#line 442 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(aggres1a)


###################################################
### chunk number 26: HeatmapAggExClusterDataSet1
###################################################
#line 454 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(aggres1a, s1)


###################################################
### chunk number 27: ExtractAggExClustersDataSet1
###################################################
#line 464 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
cl1a <- cutree(aggres1a, k=2)
cl1a
plot(cl1a, x1)


###################################################
### chunk number 28: AggExClusterAPDataSet2q08
###################################################
#line 486 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
aggres2a <- aggExCluster(s2, apres2c)
aggres2a


###################################################
### chunk number 29: DendrogramAggExAPDataSet2
###################################################
#line 495 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(aggres2a)


###################################################
### chunk number 30: HeatmapAggExAPDataSet2
###################################################
#line 504 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(aggres2a, s2)


###################################################
### chunk number 31: PlotAggExAPDataSet2k25
###################################################
#line 514 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
par(mfrow=c(2,2))
for (k in 5:2)
    plot(aggres2a, x2, k=k, main=paste(k, "clusters"))


###################################################
### chunk number 32: LoadCh22Promoters
###################################################
#line 580 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
data(ch22Promoters)
names(ch22Promoters)[1:5]
substr(ch22Promoters[1:5], 951, 1000)


###################################################
### chunk number 33: SimCh22Promoters
###################################################
#line 594 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
library(kernlab)
promSim <- kernelMatrix(stringdot(length=6, type="spectrum"), ch22Promoters)
rownames(promSim) <- names(ch22Promoters)
colnames(promSim) <- names(ch22Promoters)


###################################################
### chunk number 34: APCh22Promoters
###################################################
#line 601 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
promAP <- apcluster(promSim, q=0)
promAP


###################################################
### chunk number 35: HeatMapAPCh22Promoters
###################################################
#line 609 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(promAP, promSim)


###################################################
### chunk number 36: aggExCh22Promoters
###################################################
#line 614 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
promAgg <- aggExCluster(promSim, promAP)


###################################################
### chunk number 37: DendrogramAPCh22Promoters
###################################################
#line 619 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(promAgg)


###################################################
### chunk number 38: ExtractAggCh22Promoters
###################################################
#line 626 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
prom5 <- cutree(promAgg, k=5)
prom5


###################################################
### chunk number 39: HeatMap5Ch22Promoters
###################################################
#line 632 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
plot(prom5, promSim)


###################################################
### chunk number 40: NegDistMatDataSet2 eval=FALSE
###################################################
## #line 660 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## s2 <- negDistMat(x2, r=2)


###################################################
### chunk number 41: CreateToyData
###################################################
#line 718 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
ex <- matrix(c(0,0,1,0,0.5,0.5,0,1,1,1),5,2,byrow=TRUE)
ex


###################################################
### chunk number 42: NegEuclDistMatToyData
###################################################
#line 723 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex)


###################################################
### chunk number 43: NegSqEuclDistMatToyData
###################################################
#line 727 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex, r=2)


###################################################
### chunk number 44: NegMaxDistToyData
###################################################
#line 731 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex, method="maximum")


###################################################
### chunk number 45: NegManhattanDistToyData
###################################################
#line 735 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex,method="manhattan")


###################################################
### chunk number 46: NegCanberraDistToyData
###################################################
#line 739 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex,method="canberra")


###################################################
### chunk number 47: NegMinkowskiDistToyData
###################################################
#line 743 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
negDistMat(ex, method="minkowski", p=3)


###################################################
### chunk number 48: RBFKernelToyData
###################################################
#line 801 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
expSimMat(ex)


###################################################
### chunk number 49: LaplaceKernelToyData
###################################################
#line 805 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
expSimMat(ex, r=1)


###################################################
### chunk number 50: TruncDistToyData
###################################################
#line 809 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
linSimMat(ex, w=1.2)


###################################################
### chunk number 51: LinKernelToyData
###################################################
#line 813 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
linKernel(ex[2:5,])


###################################################
### chunk number 52: NormLinKernelToyData
###################################################
#line 817 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
linKernel(ex[2:5,], normalize=TRUE)


###################################################
### chunk number 53: CreateLabeledToyData
###################################################
#line 829 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
x3 <- c(1, 2, 3, 7, 8, 9)
names(x3) <- c("a", "b", "c", "d", "e", "f")
s3 <- negDistMat(x3, r=2)


###################################################
### chunk number 54: ShowToyDataLabels
###################################################
#line 841 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
s3
colnames(s3)


###################################################
### chunk number 55: ClusterLabeledToyData
###################################################
#line 848 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres3a <-apcluster(s3)
apres3a
apres3a@exemplars
apres3a@clusters


###################################################
### chunk number 56: ExtractLabelsFromClusterToyData
###################################################
#line 863 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
apres3a@exemplars
labels(apres3a, type="names")
labels(apres3a, type="exemplars")
labels(apres3a, type="enum")


###################################################
### chunk number 57: GetBibTeX eval=FALSE
###################################################
## #line 977 "d:/Rcompile/CRANpkg/local/2.12/apcluster/inst/doc/apcluster.Rnw"
## toBibtex(citation("apcluster"))


